# IpeFileSource Class Reference
[Ipe Base]

Data source for parsing from a file. More...

Inherits IpeDataSource.

List of all members.

## Public Member Functions

- IpeFileSource (std::FILE *file)
- virtual int GetChar ()

## Detailed Description

Data source for parsing from a file.

## Member Function Documentation

int IpeFileSource::GetChar | ( |  | ) | `[virtual]`

| Get one more character, or EOF. Implements IpeDataSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp